// import { Button, Paper, Typography, Box, Alert, Snackbar } from "@mui/material";
// import { useNavigate } from "react-router-dom";
// import { ArrowLeft, Upload } from "lucide-react";
// import { observer } from "mobx-react-lite";
// import { useState, DragEvent, useRef, useEffect } from "react";
// import { editSightStore, UploadMediaDialog } from "@shared";

// export const CreateMediaPage = observer(() => {
//   const navigate = useNavigate();
//   const [isDragging, setIsDragging] = useState(false);

//   const [error, setError] = useState<string | null>(null);
//   const [success, setSuccess] = useState(false);
//   const fileInputRef = useRef<HTMLInputElement>(null);
//   const [uploadDialogOpen, setUploadDialogOpen] = useState(false);

//   const handleDrop = (e: DragEvent<HTMLDivElement>) => {
//     e.preventDefault();
//     e.stopPropagation();
//     setIsDragging(false);

//     const files = Array.from(e.dataTransfer.files);
//     if (files.length > 0) {
//       editSightStore.fileToUpload = files[0];
//       setUploadDialogOpen(true);
//     }
//   };

//   const handleDragOver = (e: DragEvent<HTMLDivElement>) => {
//     e.preventDefault();
//     setIsDragging(true);
//   };

//   const handleDragLeave = () => {
//     setIsDragging(false);
//   };

//   const handleFileSelect = (e: React.ChangeEvent<HTMLInputElement>) => {
//     const files = e.target.files;
//     if (files && files.length > 0) {
//       editSightStore.fileToUpload = files[0];
//       setUploadDialogOpen(true);
//     }
//   };

//   const handleUploadSuccess = () => {
//     setSuccess(true);
//     setUploadDialogOpen(false);
//   };

//   return (
//     <div className="w-full h-full p-8">
//       <div className="flex items-center gap-4 mb-8">
//         <Button
//           variant="outlined"
//           startIcon={<ArrowLeft size={20} />}
//           onClick={() => navigate("/media")}
//         >
//           Назад
//         </Button>
//         <Typography variant="h5">Загрузка медиафайла</Typography>
//       </div>

//       <Paper
//         elevation={3}
//         className={`w-full h-[60vh] flex flex-col items-center justify-center p-8 transition-colors ${
//           isDragging ? "bg-blue-50 border-2 border-blue-500" : "bg-gray-50"
//         }`}
//         onDrop={handleDrop}
//         onDragOver={handleDragOver}
//         onDragLeave={handleDragLeave}
//       >
//         <input
//           type="file"
//           ref={fileInputRef}
//           className="hidden"
//           onChange={handleFileSelect}
//           accept="image/*,video/*,.glb,.gltf"
//         />

//         <Box className="flex flex-col items-center gap-4 text-center">
//           <Upload size={48} className="text-gray-400" />
//           <Typography variant="h6" className="text-gray-600">
//             Перетащите файл сюда или
//           </Typography>
//           <Button
//             variant="contained"
//             onClick={() => fileInputRef.current?.click()}
//             startIcon={<Upload size={20} />}
//           >
//             Выберите файл
//           </Button>
//           <Typography variant="body2" className="text-gray-500 mt-4">
//             Поддерживаемые форматы: JPG, PNG, GIF, MP4, WebM, GLB, GLTF
//           </Typography>
//         </Box>
//       </Paper>

//       <UploadMediaDialog
//         open={uploadDialogOpen}
//         onClose={() => setUploadDialogOpen(false)}
//         afterUpload={handleUploadSuccess}
//       />

//       <Snackbar
//         open={success}
//         autoHideDuration={2000}
//         onClose={() => setSuccess(false)}
//       >
//         <Alert severity="success" onClose={() => setSuccess(false)}>
//           Медиафайл успешно загружен
//         </Alert>
//       </Snackbar>

//       <Snackbar
//         open={!!error}
//         autoHideDuration={6000}
//         onClose={() => setError(null)}
//       >
//         <Alert severity="error" onClose={() => setError(null)}>
//           {error}
//         </Alert>
//       </Snackbar>
//     </div>
//   );
// });
